Add choices to application template
Adds one or more classes as primary choices to an application template. Pass the class IDs as choice[course_ids][] query parameters.
Path Parameters
- Type: stringapplication
_template _id requiredUnique identifier of the application template.
Query Parameters
- Type: stringchoice[course
_ids][]
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/applic_templates/templates/{application_template_id}/choices/primary
curl 'https://school.fullfabric.cloud/apis/applic_templates/templates/507f1f77bcf86cd799439011/choices/primary?choice[course_ids][]=' \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385bb46976a771912003e6b",
"name": "MBA Full-Time Application Form",
"opens_at": 1704067200,
"closes_at": 1719705600,
"context_id": "6385bb46976a771912003e6a",
"context_type": "Institutions::ClassOf",
"primary_choice_class_of_ids": [
"6385bb46976a771912003e6a"
],
"primary_choice_course_ids": [],
"secondary_choice_class_of_ids": [],
"secondary_choice_course_ids": []
}